Create a new deployment.
Documentation Index
Fetch the complete documentation index at: https://docs.langchain.com/llms.txt
Use this file to discover all available pages before exploring further.
Request body for creating a deployment.
Name of the deployment.
A LangSmith tracing project with the same name will also automatically be created. This cannot be changed once the deployment is created.
Deploy from a GitHub repository (github), an external Docker image (external_docker), a CLI-pushed image (internal_docker), uploaded source (internal_source), or a prebuilt LangChain template (internal_template).
Deploying from GitHub, internal Docker, internal source, or a template is only available for Cloud SaaS deployments. Deploying from an external Docker image is only available for self-hosted deployments. This cannot be changed once the deployment is created.
github, external_docker, internal_docker, internal_source, internal_template Fields for a deployment that are specific to the source, but do not require a new revision when modified or cannot be modified.
All fields are nullable, but are validated based on the source.
Fields for a deployment that are specific to the source and require a new revision when modified.
All fields are nullable, but are validated based on the source.
List of Kubernetes Secret references.
Only applicable for external_docker source.
Successful Response
Deployment resource.
Name of the deployment.
A LangSmith tracing project with the same name will also automatically be created. This cannot be changed once the deployment is created.
Deploy from a GitHub repository (github), an external Docker image (external_docker), a CLI-pushed image (internal_docker), uploaded source (internal_source), or a prebuilt LangChain template (internal_template).
Deploying from GitHub, internal Docker, internal source, or a template is only available for Cloud SaaS deployments. Deploying from an external Docker image is only available for self-hosted deployments. This cannot be changed once the deployment is created.
github, external_docker, internal_docker, internal_source, internal_template Source configuration.
Source revision configuration.
For a Deployment resource, the field values refer to the latest revision of the Deployment. For a Revision resource, the field values refer to the Revision itself.
The ID of the deployment.
This is a read-only field.
The ID of the tenant that owns the deployment.
This is a read-only field.
The creation time of the deployment.
This is a read-only field.
The last update time of the deployment.
This is a read-only field.
The status of the deployment.
This is a read-only field.
AWAITING_DATABASE, READY, UNUSED, AWAITING_DELETE, UNKNOWN The ID of the latest revision of the deployment.
This is a read-only field.
The ID of the current (actively deployed) revision of the deployment.
This is a read-only field.
List of Kubernetes Secret references.
Only applicable for external_docker source.
Image version of the deployment.